:host {
    overflow: hidden; 
    position: relative;
    display: block;
}

.bal_scroll { 
    position: absolute; 
    top: 0; 
    right: -20px; 
    bottom: -20px; 
    left: 0; 
    overflow-x: scroll; 
    overflow-y: scroll; 

    .bal_scroll__inner { 
        position: absolute; 
        min-width: 100%; 
        overflow: hidden; 
    }
}

/* Вертикальный */
.bal_scroll__v_track,
.bal_scroll__v_drag { 
    display: block; 
    position: absolute; 
    overflow: hidden; 
}

.bal_scroll__v_track { 
    top: 0; 
    right: 0; 
    bottom: 0; 
    width: 16px; 
    opacity: 0; 
    //filter: alpha(opacity=0); 
    overflow: hidden; 
    z-index: 5; 
    transition: 0.3s all; 
    
    .bal_scroll__v_drag { 
        right: 0; 
        left: 0; 
    }
    
    .bal_scroll__v_drag:after { 
        display: block; 
        position: absolute; 
        content: ' '; 
        top: 0; 
        bottom: 0; 
        left: 50%; 
        width: 6px; 
        margin-left: -3px; 
        background-color: #999; 
        transition: 0.2s all; 
    }
    /* IE8 */
    .bal_scroll__v_drag::after { 
        display: block; 
        position: absolute; 
        content: ' '; 
        top: 0; 
        bottom: 0; 
        left: 50%; 
        width: 6px; 
        margin-left: -3px; 
        background-color: rgba(0,0,0,0.3); 
        transition: 0.2s all; 
    }
    [data-bal-bg="dark"] .bal_scroll__v_drag:after { 
        background-color: #999; 
    }
    /* IE8 */
    [data-bal-bg="dark"] .bal_scroll__v_drag::after { 
        background-color: rgba(255,255,255,0.3); 
    }

    .bal_scroll__v_native_drag { 
        display: block; 
        position: absolute; 
        top: 0; 
        right: 0; 
        bottom: 0; 
        width: 50px; 
        overflow-y: scroll; 
        overflow-x: hidden; 
        opacity: 0; 
        //filter: alpha(opacity=0); 
        z-index: 10; 
    }
    .bal_scroll__v_native_drag:hover + .bal_scroll__v_drag::after { 
        background-color: rgba(0,0,0,0.5); 
    }
    [data-bal-bg="dark"] .bal_scroll__v_native_drag:hover + .bal_scroll__v_drag::after {
        background-color: rgba(255,255,255,0.5);
    }
    .bal_scroll__v_native_drag:active + .bal_scroll__v_drag::after { 
        background-color: rgba(0,0,0,0.8); 
    }
    [data-bal-bg="dark"] .bal_scroll__v_native_drag:active + .bal_scroll__v_drag::after { 
        background-color: rgba(255,255,255,0.8); 
    }
}

:host:hover > .bal_scroll__v_track { 
    opacity: 1; 
    //filter: alpha(opacity=100); 
}
:host.now_scrolling > .bal_scroll__v_track { 
    opacity: 1; 
    //filter: alpha(opacity=100); 
}
[data-bal-always-visible="true"] > .bal_scroll__v_track { 
    opacity: 1; 
    //filter: alpha(opacity=100); 
}

/* Горизонтальный */
.bal_scroll__h_track,
.bal_scroll__h_drag { 
    display: block; position: absolute; overflow: hidden; 
}

.bal_scroll__h_track { 
    right: 0; 
    bottom: 0; 
    left: 0; 
    height: 16px; 
    opacity: 0; 
    //filter: alpha(opacity=0); 
    overflow: hidden; 
    z-index: 5; 
    transition: 0.3s all; 

    .bal_scroll__h_drag { 
        top: 0; 
        bottom: 0; 
    }
        
    .bal_scroll__h_drag:after {
        display: block; 
        position: absolute; 
        content: ' '; 
        right: 0; 
        left: 0;
        top: 50%;
        height: 6px;
        margin-top: -3px;
        background-color: #999;
        transition: 0.2s all; 
    }
    
    /* IE8 */
    .bal_scroll__h_drag::after { 
        display: block; 
        position: absolute; 
        content: ' '; 
        right: 0; 
        left: 0; 
        top: 50%; 
        height: 6px; 
        margin-top: -3px; 
        background-color: rgba(0,0,0,0.3); 
        transition: 0.2s all; 
    }

    [data-bal-bg="dark"] .bal_scroll__h_drag:after { 
        background-color: #999; 
    }
    
    /* IE8 */
    [data-bal-bg="dark"] .bal_scroll__h_drag::after { 
        background-color: rgba(255,255,255,0.3); 
    }

    .bal_scroll__h_native_drag { 
        display: block; 
        position: absolute; 
        right: 0; 
        bottom: 0; 
        left: 0; 
        height: 50px; 
        verflow-y: hidden; 
        overflow-x: scroll; 
        opacity: 0; 
        //filter: alpha(opacity=0); 
        z-index: 10; 
    }
    .bal_scroll__h_native_drag:hover + .bal_scroll__h_drag::after { 
        background-color: rgba(0,0,0,0.5); 
    }
    [data-bal-bg="dark"] .bal_scroll__h_native_drag:hover + .bal_scroll__h_drag::after { 
        background-color: rgba(255,255,255,0.5); 
    }
    .bal_scroll__h_native_drag:active + .bal_scroll__h_drag::after { 
        background-color: rgba(0,0,0,0.8); 
    }
    [data-bal-bg="dark"] .bal_scroll__h_native_drag:active + .bal_scroll__h_drag::after { 
        background-color: rgba(255,255,255,0.8); 
    }
}

:host:hover > .bal_scroll__h_track { 
    opacity: 1; 
    //filter: alpha(opacity=100); 
}

:host.now_scrolling > .bal_scroll__h_track {
    opacity: 1; 
    //filter: alpha(opacity=100); 
}
[data-bal-always-visible="true"] > .bal_scroll__h_track { 
    opacity: 1; 
    //filter: alpha(opacity=100); 
}
